////////////////////////////////////////////////////////////////////////////
//// PROFI REGISZTER SZINT I/O RUTINOK									////
//// Topor Zoltn - 2007 - http://www.hobbielektronika.hu/			    ////
////////////////////////////////////////////////////////////////////////////

#if defined(__PCM__)
#byte PORTA = 0x05
#byte PORTB = 0x06
#byte PORTC = 0x07
#byte PORTD = 0x08
#byte PORTE = 0x09

#byte TRISA = 0x85
#byte TRISB = 0x86
#byte TRISC = 0x87
#byte TRISD = 0x88
#byte TRISE = 0x89
#elif defined(__PCH__)
#byte PORTA = 0xF80
#byte PORTB = 0xF81
#byte PORTC = 0xF82
#byte PORTD = 0xF83
#byte PORTE = 0xF84

#byte TRISA = 0xF92
#byte TRISB = 0xF93
#byte TRISC = 0xF94
#byte TRISD = 0xF95
#byte TRISE = 0xF96
#endif

#define DIN		1
#define DOUT	0

void io_set_direction(int &port,int tris_bit,int1 dir) {
	if(dir) bit_set(port,tris_bit); else bit_clear(port,tris_bit);
}

int io_get_direction(int &port,int tris_bit) {
	return bit_test(port,tris_bit);
}

void io_set_dir(int ccs_pin, int1 dir) {
/*
a CCS_PIN nl azt kell megadni ami a neve, pl. PIN_C3
ekkor a TRISC 3-jt belltja
*/
int a;
int *tris;
	a = ccs_pin-40;
	tris = 0x85;
	while(a>8) { tris++;a-=8; }
	if(dir) bit_set(*tris,a); else bit_clear(*tris,a);
}

